## fbset 2.1

=== debian/changelog ===
fbset (2.1-34) unstable; urgency=medium

  * Update Standards-Version to 4.7.0
  * Update homepage link.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 09 Nov 2024 23:50:25 +0000

fbset (2.1-33.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sven Joachim ]
  * Move binaries below /usr (Closes: #1061259)
    The upstream Makefile installs binaries into /bin, in Debian trixie
    and later they should be installed into /usr/bin instead.  Use the
    dh_movetousr tool added in debhelper 13.11.7 to achieve that.
    Adding dh-sequence-movetousr to Build-Depends is not strictly
    necessary, but it helps with backports and ensures that dh_movetousr
    is run in case debian/rules gets ever converted to dh.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 16:33:04 +0200

fbset (2.1-33) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.6.1.0
  * Use compatibility level 13.
  * Sync with Linux Kernel v6.0-rc2.
  * Disable parallel builds. (Closes: #1017163)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Aug 2022 23:15:01 +0100

fbset (2.1-32) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * Fix FTCBFS. (Closes: #851294)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 Apr 2020 23:50:03 +0100

fbset (2.1-31) unstable; urgency=low
  * Update Maintainer (Closes: #740580)
  * sync with Linux Kernel v5.4-rc6
  * Update to Standards-Version 4.4.1
  * Use compatibility level 12
  * Change Priority to optional and remove duplicate Priority
  * Use github as Vcs

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 Nov 2019 20:47:58 +0000

fbset (2.1-30) unstable; urgency=medium

  * Line-wrap and sort dependency fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Switch debhelper compatibility level to 10.
  * Switch debian/watch format version to 4.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Nov 2017 00:29:03 +0100

fbset (2.1-29) unstable; urgency=medium

  * QA upload.
  * Update to Linux kernel 4.10-rc4:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/modes/fb.modes.viafb: Likewise.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch Vcs-Browser to a cgit URL.
  * Use https for hadrons.org URLs.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening flags.

 -- Guillem Jover <guillem@debian.org>  Thu, 19 Jan 2017 01:11:33 +0100

fbset (2.1-28) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Switch to debhelper compatibility level 9.
  * Now using Standards-Version 3.9.5 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 02 Mar 2014 20:54:35 +0100

fbset (2.1-27) unstable; urgency=low

  * Remove long obsolete and unsupported devfs references from man page.
  * Add a fb.modes.openmoko db file to the examples directory, usable with
    «fbse -db». Thanks to Timo Juhani Lindfors <timo.lindfors@iki.fi>.
    Closes: #594591
  * Add support for custom sync flags, by preserving unknown sync bits, a
    new -sync db mode option and a new --sync program option to set these.
    Thanks David Kozub <zub@linux.fjfi.cvut.cz>. Closes: #678325

 -- Guillem Jover <guillem@debian.org>  Wed, 15 May 2013 21:00:28 +0200

fbset (2.1-26) unstable; urgency=low

  * Now using Standards-Version 3.9.4 (no changes needed).
  * Remove package creation information from debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 May 2013 17:10:32 +0200

fbset (2.1-25) unstable; urgency=low

  * Fix some missinformation in fbset(8).
    - Use an actual mode (“640x480-60”) instead of “vga” in the example.
    - Point to the correct path for the compressed FAQ.
    Thanks to Pavel Machek <pavel@ucw.cz>. Closes: #577449
  * Invert alternative dependency order for “makedev | udev” so that udev
    which has a higher priority goes first. Closes: #546865
  * Change binary package Architecture field values from any to linux-any.
  * Update to Linux kernel 3.0.0-rc1:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
  * Fix upstream Makefile to support out of tree builds.
  * Rework debian/rules targets:
    - Create an empty build-indep target.
    - Use out of tree builds.
    - Merge build and build-udeb into a new build-arch target, and
      install and install-udeb into install-arch target, as they are
      not parallelizable anyway.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add ${misc:Depends} substvar to fbset-udeb Depends field.
  * Remove long obsolete devfs support patch.
  * Rename UDEB_CFLAGS to CFLAGS_UDEB and UDEB_PACKAGE to PACKAGE_UDEB.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.

 -- Guillem Jover <guillem@debian.org>  Wed, 01 Jun 2011 06:27:30 +0200

fbset (2.1-24) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Update to Linux kernel 2.6.32-rc7:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
    - debian/modes/fb.modes.viafb: New modes file.
  * Remove ‘+’ line prefixes in ATI modes files from the time .diff.gz
    changes got converted to standalone files.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.

