=== debian/control ===
Source: fbset
Section: admin
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Homepage: http://g33rt.be/migrated/Linux/fbdev/
Vcs-Browser: https://github.com/sudipm-mukherjee/fbset.git
Vcs-Git: https://github.com/sudipm-mukherjee/fbset.git
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-sequence-movetousr, dpkg-dev (>= 1.15.7), flex, bison

Package: fbset
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 udev | makedev (>= 2.3.1-24),
Description: framebuffer device maintenance program
 Program to modify settings for the framebuffer devices (/dev/fb[0-9]*
 or /dev/fb/[0-9]*) on Linux, like depth, virtual resolution, timing
 parameters etc.

Package: fbset-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: framebuffer device maintenance program
 Program to modify settings for the framebuffer devices (/dev/fb[0-9]*
 or /dev/fb/[0-9]*) on Linux, like depth, virtual resolution, timing
 parameters etc.
 .
 This contains the udeb, which is used for the debian-installer
 installation system. It won't work well on a normal Debian system.
