=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CFLAGS_MAINT_PREPEND = -Wall

include /usr/share/dpkg/default.mk

CFLAGS_UDEB := -Wall
DIR_FLAGS = srcdir=.. VPATH=..

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS_UDEB += -O0
else
	CFLAGS_UDEB += -Os -fomit-frame-pointer
endif

PACKAGE = fbset
PACKAGE_UDEB = $(PACKAGE)-udeb

build-indep:

build-arch:
	dh_testdir
	
	mkdir -p build-udeb
	ln -f Makefile build-udeb/Makefile
	dh_auto_build --builddirectory=build-udeb --no-parallel  -- $(DIR_FLAGS) CPPFLAGS="-I.. $(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS_UDEB)" LDFLAGS="$(LDFLAGS)"
	
	mkdir -p build-tree
	ln -f Makefile build-tree/Makefile
	dh_auto_build --builddirectory=build-tree --no-parallel -- $(DIR_FLAGS) CPPFLAGS="-I.. $(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	
	rm -rf build-udeb
	rm -rf build-tree
	
	# FIXME: this can be removed once and if con2fbmap is merged upstream
	rm -f con2fbmap
	
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs
	
	$(MAKE) -C build-udeb install \
	  $(DIR_FLAGS) DESTDIR=$(CURDIR)/debian/$(PACKAGE_UDEB)
	rm -rf $(CURDIR)/debian/$(PACKAGE_UDEB)/usr
	
	$(MAKE) -C build-tree install \
	  $(DIR_FLAGS) DESTDIR=$(CURDIR)/debian/$(PACKAGE)

.PHONY: build-indep build-arch build install-arch clean

binary-indep:
# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_movetousr -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch binary
