=== debian/watch ===
version=4
http://g33rt.be/migrated/Linux/fbdev/ fbset-(.*)\.tar\.gz debian uupdate
